View Issue Details

IDProjectCategoryView StatusLast Update
0003163OpenFOAMBugpublic2019-02-18 12:40
ReporterhiaselhansAssigned Towill 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSFedoraOS Version29
Product Version6 
Fixed in Version 
Summary0003163: MPI not running on docker image
DescriptionrunParallel doesn't work on the linux docker image.
it seem to be missing some libraries and binaries.
Steps To Reproduce* Launch openfoam6-linux
* copy motorbike case from $FOAM_TUTORIALS/incompressible/simpleFoam/motorBike
* ./Allrun

Additional Information-> missing library "openssh_client" in docker image
-> after installing still a lot of issues like "Read -1, expected xxx" in the parallel-run logs (e.g. log.snappyHexMesh)
TagsNo tags attached.

Relationships

related to 0003164 resolvedwill MPI not running for pipeCyclic example 

Activities

hiaselhans

2019-02-10 17:29

reporter   ~0010285

i can try to recompile and rebuild the image if you could point me to the dockerfiles of openfoam5 and openfoam6...

merci :)

will

2019-02-15 15:54

manager   ~0010292

This appears to be a known issue. See https://github.com/open-mpi/ompi/issues/4948. It can be solved with the following environment setting.

export OMPI_MCA_btl_vader_single_copy_mechanism=none

We will look into getting this fix into the docker images

will

2019-02-18 12:40

manager   ~0010297

The images have been updated to include the openssh-client and the modification to the environment necessary to resolve this issue. The image ID-s are 039bca1d72fd (dev) and 131806f1ca57 (version 6).

Issue History

Date Modified Username Field Change
2019-02-10 16:59 hiaselhans New Issue
2019-02-10 17:29 hiaselhans Note Added: 0010285
2019-02-11 13:32 sobut Issue cloned: 0003164
2019-02-11 13:32 sobut Relationship added related to 0003164
2019-02-15 15:54 will Note Added: 0010292
2019-02-18 12:40 will Assigned To => will
2019-02-18 12:40 will Status new => resolved
2019-02-18 12:40 will Resolution open => fixed
2019-02-18 12:40 will Note Added: 0010297